import { jsx } from "react/jsx-runtime";
import { createContext, useContext } from "react";
const SoundContext = createContext(null);
function SoundProvider({ soundService, children }) {
  return /* @__PURE__ */ jsx(SoundContext.Provider, { value: soundService, children });
}
function useSoundService() {
  return useContext(SoundContext);
}
export {
  SoundProvider,
  useSoundService
};
